// adapters/responses/login.adapter.js
function mapLoginRequestToLoginInput(input) {
  return {
    email: input.email,
    password: input.password,
  }
}

function mapLoginResultToResponse(result) {
  return {
    token: result.accessToken, // <-- KRİTİK
    user: result.user,
  }
}

module.exports = {
  mapLoginRequestToLoginInput,
  mapLoginResultToResponse,
}
